List Cloud Monitoring Zones with Pitchfork
NOTE: Pitchfork is currently not available. The API commands for exporting the image will have to be run manually. These commands are provided below:
API Calls
The below API calls can be used to obtain a token and check the source IPs for pollers in each monitoring region. You'll just need to replace the following variables:
$ACCOUNT_ID = Your account number.
$USERNAME = The user you log into your account with.
$APIKEY = Your user's API Key.
$TOKEN = The Auth token retrieved from Step 1.
- Use your user and API key to obtain an auth token. This command will provide a long alpha-numeric string that is the token.
curl -s https://identity.api.rackspacecloud.com/v2.0/tokens \
-X POST \
-d '{"auth":{"RAX-KSKEY:apiKeyCredentials":{"username":"$USERNAME
","apiKey":"$APIKEY"}}}' \
-H "Content-type: application/json" | grep -o '"token":{[^}]*}' | grep -o '"id":"[^"]*' | cut -d'"' -f4- Run the following command, replace $ACCOUNT_ID and $TOKEN with your token retrieved on Step 1.
curl -X GET \
"https://monitoring.api.rackspacecloud.com/v1.0/$ACCOUNT_ID/monitoring_zones" \
-H "X-Auth-Token: $TOKEN" \
-H "Accept: application/json"- After issuing this API call you'll receive a list of regions with a set of source IPs used for monitoring pollers. You can allow these IPs through any filters you have to ensure monitoring can reach its destination.
This article describes how to list the Cloud Monitoring zones and source IP addresses with the Rackspace
Cloud API tool, Pitchfork.
Log in to Pitchfork
Log in to Pitchfork at .https://pitchfork.rax.io/
To learn how to log in to and use Pitchfork, refer to .Pitchfork—the Rackspace Cloud API web application
List the Cloud Monitoring zones with Pitchfork
-
After you log in to Pitchfork, click on theicon to pull up the Cloud Monitoring API calls.Cloud Monitoring -
Navigate to thesection to find theZonesAPI call. Then, clickList Monitoring Zoneto expand the call.Details -
Click. TheSend API Calloutput of the API call displays the Cloud Monitoring zones and source IP addresses, as shown in the following example:Response Body{ "source_ips": [ "2001:4800:7902:0001::/64", "50.56.142.128/26" ], "id": "mzdfw", "country_code": "US", "label": "Dallas Fort Worth (DFW)" }
You can now perform the API call.List Monitoring Zone
Updated 10 days ago